org.apache.http.conn.ssl

## Class TrustAllStrategy

- java.lang.Object
- - org.apache.http.conn.ssl.TrustAllStrategy

All Implemented Interfaces:
  org.apache.http.ssl.TrustStrategy

    public class TrustAllStrategy
    extends Object
    implements TrustStrategy

A trust strategy that accepts all certificates as trusted. Verification of all other certificates is done by the trust manager configured in the SSL context.

Since:
  4.5.4

### Field Summary

Fields
`static TrustAllStrategy` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`TrustAllStrategy()`

### Method Summary

Methods
`boolean` `isTrusted(X509Certificate[] chain, String authType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final TrustAllStrategy INSTANCE

### Constructor Detail

#### TrustAllStrategy

    public TrustAllStrategy()

### Method Detail

#### isTrusted

    public boolean isTrusted(X509Certificate[] chain,
                    String authType)
                      throws CertificateException

Specified by:
  `isTrusted` in interface `org.apache.http.ssl.TrustStrategy`
Throws:
  `CertificateException`